Autonomy dokumentatsioon
API viideRuns

Get a run

Returns a run with agent logs for the authenticated team.

GET
/api/runs/{runId}

Returns a run with agent logs for the authenticated team.

Authorization

bearerAuth
AuthorizationBearer <token>

Send Authorization: Bearer . The token can be an Autonomy organization API key (aut_xxx) or an OAuth access token.

In: header

Path Parameters

runId*string

Run document ID.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/runs/string"
{
  "_id": "string",
  "testPlanId": "string",
  "status": "queued",
  "platforms": [
    "web"
  ],
  "trigger": {},
  "logs": [
    {
      "stepIndex": 0,
      "action": "string",
      "target": "string",
      "status": "string",
      "platform": "web",
      "error": "string",
      "durationMs": 0,
      "timestamp": 0
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}